<?
if(isset($_GET['myzavod']) && isset($_GET['sellz_all']) && $ku['sellz']>0)
{
$q=mysql_query("SELECT * FROM `kolhoz_zavod` WHERE `id_user` = '$ku[id]' AND `id_pet` != '0'");
$money2=0;
while($post=mysql_fetch_array($q))
{
$zav=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_zav` WHERE `id` = '$post[id_pet]'"));
$d_money=floor($post['time_money2']/(4*3600));
if($d_money>0)
{
$nt=$post['time_money2']-($d_money*14400);
$count=1;
$count_sellz_act=0;
$count_vet_act=0;
if(isset($sellz_act))$count_sellz_act=($count/100)*$sellz_act;
if(isset($vet_act))$count_vet_act=($count/100)*$vet_ps_m;
$count=$count_sellz_act+$count_vet_act+$count;
$money=($count*$zav['money'])*$d_money;
$money2=$money2+$money;
}
mysql_query("UPDATE `kolhoz_zavod` SET `time_money` = '$time', `time_money2` = '$nt', `last_rf` = '$time' WHERE `id` = '$post[id]' LIMIT 1");
}
mysql_query("UPDATE `kolhoz_user` SET `money` = '".($ku['money']+$money2)."' WHERE `id` = '$ku[id]'");
mysql_query("UPDATE `kolhoz_user` SET `umoney` = '$money2' WHERE `id` = '$ku[id]'");
if(isset($mc) && $mc['nalog']>0)
{
$nmoney=floor(($money2/100)*$mc['nalog']);
mysql_query("UPDATE `kolhoz_user` SET `money` = '".($ku['money']+$money2-$nmoney)."' WHERE `id` = '$ku[id]'");
mysql_query("UPDATE `kolhoz_collective` SET `money` = '".($mc['money']+$nmoney)."' WHERE `id` = '$mc[id]'");
}
header("Location:?myzavod&".passgen());
exit;
}
?>